STRUCT NULL_CONTEXT(3)

NAME
boost::proto::context::null_context - An evaluation context for proto::eval() that simply evaluates each child expression, doesn't combine the results at all, and returns void.

SYNOPSIS

// In header: <boost/proto/context/null.hpp>
struct null_context {
  // member classes/structs/unions
  template<typename Expr, typename ThisContext = null_context const>
  struct eval :  proto::context::null_eval< Expr, ThisContext > {
  };
};

DESCRIPTION